Open CASCADE Technology: BRepFill_IndexedDataMapOfOrientedShapeListOfShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepFill_IndexedDataMapOfOrientedShapeListOfShape Class Reference

`#include <BRepFill_IndexedDataMapOfOrientedShapeListOfShape.hxx>`

Inheritance diagram for BRepFill_IndexedDataMapOfOrientedShapeListOfShape:
[legend]

## Public Member Functions
| BRepFill_IndexedDataMapOfOrientedShapeListOfShape (const Standard_Integer NbBuckets=1)
BRepFill_IndexedDataMapOfOrientedShapeListOfShape & | Assign (const BRepFill_IndexedDataMapOfOrientedShapeListOfShape &Other)
BRepFill_IndexedDataMapOfOrientedShapeListOfShape & | operator= (const BRepFill_IndexedDataMapOfOrientedShapeListOfShape &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~BRepFill_IndexedDataMapOfOrientedShapeListOfShape ()
Standard_Integer | Add (const TopoDS_Shape &K, const TopTools_ListOfShape &I)
void | Substitute (const Standard_Integer I, const TopoDS_Shape &K, const TopTools_ListOfShape &T)
void | RemoveLast ()
Standard_Boolean | Contains (const TopoDS_Shape &K) const
const TopoDS_Shape & | FindKey (const Standard_Integer I) const
const TopTools_ListOfShape & | FindFromIndex (const Standard_Integer I) const
const TopTools_ListOfShape & | operator() (const Standard_Integer I) const
TopTools_ListOfShape & | ChangeFromIndex (const Standard_Integer I)
TopTools_ListOfShape & | operator() (const Standard_Integer I)
Standard_Integer | FindIndex (const TopoDS_Shape &K) const
const TopTools_ListOfShape & | FindFromKey (const TopoDS_Shape &K) const
TopTools_ListOfShape & | ChangeFromKey (const TopoDS_Shape &K)
Standard_Address | FindFromKey1 (const TopoDS_Shape &K) const
Standard_Address | ChangeFromKey1 (const TopoDS_Shape &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

BRepFill_IndexedDataMapOfOrientedShapeListOfShape::BRepFill_IndexedDataMapOfOrientedShapeListOfShape | ( | const Standard_Integer | NbBuckets = `1` | ) |

BRepFill_IndexedDataMapOfOrientedShapeListOfShape::~BRepFill_IndexedDataMapOfOrientedShapeListOfShape | ( |  | ) |
| inline

## Member Function Documentation

Standard_Integer BRepFill_IndexedDataMapOfOrientedShapeListOfShape::Add | ( | const TopoDS_Shape & | K,
|  | const TopTools_ListOfShape & | I
| ) |  |

BRepFill_IndexedDataMapOfOrientedShapeListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::Assign | ( | const BRepFill_IndexedDataMapOfOrientedShapeListOfShape & | Other | ) |

TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::ChangeFromIndex | ( | const Standard_Integer | I | ) |

TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::ChangeFromKey | ( | const TopoDS_Shape & | K | ) |

Standard_Address BRepFill_IndexedDataMapOfOrientedShapeListOfShape::ChangeFromKey1 | ( | const TopoDS_Shape & | K | ) |

void BRepFill_IndexedDataMapOfOrientedShapeListOfShape::Clear | ( |  | ) |

Standard_Boolean BRepFill_IndexedDataMapOfOrientedShapeListOfShape::Contains | ( | const TopoDS_Shape & | K | ) | const

const TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::FindFromIndex | ( | const Standard_Integer | I | ) | const

const TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::FindFromKey | ( | const TopoDS_Shape & | K | ) | const

Standard_Address BRepFill_IndexedDataMapOfOrientedShapeListOfShape::FindFromKey1 | ( | const TopoDS_Shape & | K | ) | const

Standard_Integer BRepFill_IndexedDataMapOfOrientedShapeListOfShape::FindIndex | ( | const TopoDS_Shape & | K | ) | const

const TopoDS_Shape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::FindKey | ( | const Standard_Integer | I | ) | const

const TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::operator() | ( | const Standard_Integer | I | ) | const
| inline

TopTools_ListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::operator() | ( | const Standard_Integer | I | ) |
| inline

BRepFill_IndexedDataMapOfOrientedShapeListOfShape& BRepFill_IndexedDataMapOfOrientedShapeListOfShape::operator= | ( | const BRepFill_IndexedDataMapOfOrientedShapeListOfShape & | Other | ) |
| inline

void BRepFill_IndexedDataMapOfOrientedShapeListOfShape::RemoveLast | ( |  | ) |

void BRepFill_IndexedDataMapOfOrientedShapeListOfShape::ReSize | ( | const Standard_Integer | NbBuckets | ) |

void BRepFill_IndexedDataMapOfOrientedShapeListOfShape::Substitute | ( | const Standard_Integer | I,
|  | const TopoDS_Shape & | K,
|  | const TopTools_ListOfShape & | T
| ) |  |

The documentation for this class was generated from the following file:

- BRepFill_IndexedDataMapOfOrientedShapeListOfShape.hxx